com.tibbo.aggregate.common.expression.parser

## Class ExpressionNode

- java.lang.Object
- - com.tibbo.aggregate.common.expression.parser.SimpleNode
  - - com.tibbo.aggregate.common.expression.parser.ExpressionNode

- All Implemented Interfaces:
    Node
  Direct Known Subclasses:
    ASTAddNode, ASTBitwiseAndNode, ASTBitwiseComplNode, ASTBitwiseNotNode, ASTBitwiseOrNode, ASTBitwiseXorNode, ASTConditionalNode, ASTDivNode, ASTEQNode, ASTFalseNode, ASTFloatConstNode, ASTFunctionNode, ASTGENode, ASTGTNode, ASTIdNode, ASTLeftShiftNode, ASTLENode, ASTLogicalAndNode, ASTLogicalNotNode, ASTLogicalOrNode, ASTLongConstNode, ASTLTNode, ASTModNode, ASTMulNode, ASTNENode, ASTNotNode, ASTNullNode, ASTRegexMatchNode, ASTRightShiftNode, ASTStart, ASTStringConstNode, ASTSubtractNode, ASTTrueNode, ASTUnaryNode, ASTUnsignedRightShiftNode, ASTValueReferenceNode

      public class ExpressionNode
      extends SimpleNode

- - ### Field Summary

    - ### Fields inherited from class com.tibbo.aggregate.common.expression.parser.SimpleNode

      `children, firstToken, id, lastToken, parent, parser, value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpressionNode(ExpressionParser p, int i)`
    `ExpressionNode(int i)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `childrenAccept(ExpressionParserVisitor visitor, EvaluationEnvironment data)` Accept the visitor.

    - ### Methods inherited from class com.tibbo.aggregate.common.expression.parser.SimpleNode

      `dump, jjtAccept, jjtAddChild, jjtClose, jjtGetChild, jjtGetFirstToken, jjtGetLastToken, jjtGetNumChildren, jjtGetParent, jjtGetValue, jjtOpen, jjtSetFirstToken, jjtSetLastToken, jjtSetParent, jjtSetValue, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpressionNode

          public ExpressionNode(int i)

    - #### ExpressionNode

          public ExpressionNode(ExpressionParser p,
                                int i)

  - ### Method Detail

    - #### childrenAccept

          public java.lang.Object childrenAccept(ExpressionParserVisitor visitor,
                                                 EvaluationEnvironment data)

      Description copied from class: `SimpleNode`
      Accept the visitor.
      Overrides:
        `childrenAccept` in class `SimpleNode`